import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:hub/backend/api_requests/api_manager.dart';
import 'package:hub/shared/components/molecules/locals/index.dart';

class LocalsRepositoryImpl implements LocalsRepository {
  final LocalsRemoteDataSource remoteDataSource = LocalsRemoteDataSourceImpl();

  @override
  Future<void> checkLocals(BuildContext context) async {
    return await remoteDataSource.checkLocals(context);
  }

  @override
  Future<bool> processData(BuildContext context) async {
    return await remoteDataSource.processData(context);
  }

  @override
  Future<bool> processLocals(BuildContext context) async {
    final bool response = await remoteDataSource.processLocals(context);
    context.read<LocalProfileBloc>().add(LocalProfileEvent());
    return response;
  }

  @override
  Future<bool> selectLocal(BuildContext context, ApiCallResponse? response) async {
    return await remoteDataSource.selectLocal(context, response);
  }

  @override
  Future<void> unlinkLocal(BuildContext context) {
    return remoteDataSource.unlinkLocal(context);
  }
}
